<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_vars.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all variables with links to the classes they belong to:</div>

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>_allocated&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#aee2522b771ca30bc09bff4d5b3176bfc">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_annData&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a3b6e46ca8afad6af62b3f15e2b6b5ec6">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_attributePool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a0a57ebeba23bc6cfce88f12b4a946aac">tinyxml2::XMLDocument</a></li>
<li>_auxGp&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#aaae88f0271337860809b47f254b4809b">melon::MulfilGp&lt; T &gt;</a></li>
<li>_blockPtrs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a028d833de2bf5e6257b4b27a68702a84">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_buffer&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a19fca2e934576a892fefe2f602874d59">tinyxml2::XMLPrinter</a></li>
<li>_charBuffer&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a7913ff24220a40e2e2b49a5137b43d29">tinyxml2::XMLDocument</a></li>
<li>_closingType&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a3f3f8f60bc21aae4c1bb9470d7ab0823">tinyxml2::XMLElement</a></li>
<li>_commentPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#ac2e73ccbc037dee917c3163158180398">tinyxml2::XMLDocument</a></li>
<li>_compactMode&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a7bc067aa3f0dcee68e4ac75e19117bd0">tinyxml2::XMLPrinter</a></li>
<li>_currentAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#afa908fd62011c6e633d7af196d667e9d">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_data&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a7a0e63218ed6e1c2c03ef0da5f0eee3e">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern.html#afd32a89a7eeff017e7c811c4c4a3a64e">melon::kernel::Matern&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1_mulfil_gp.html#a3e257844890f74a8b153306724434aca">melon::MulfilGp&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#aa2b45da4783283842e9cd42846753315">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_depth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a19cd59a9dbe4b666264803fb91ac8ec1">tinyxml2::XMLPrinter</a></li>
<li>_document&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html#ab142a47709c83a3698af1470378b9385">tinyxml2::XMLDocument::DepthTracker</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a8d2d2be0bb6797625551eb0e91f0ff62">tinyxml2::XMLNode</a></li>
<li>_elementJustOpened&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#ac07169d58b465214a2b1fa306e617c26">tinyxml2::XMLPrinter</a></li>
<li>_elementPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a21574fba363a0d23bfc820d1652ab8bc">tinyxml2::XMLDocument</a></li>
<li>_end&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a855c81f785458d8f84313221f2d4a1eb">tinyxml2::StrPair</a></li>
<li>_entityFlag&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a334eb34c43f21daebef9341b4768c275">tinyxml2::XMLPrinter</a></li>
<li>_errorID&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a61270d643f810975656da2054e1e1622">tinyxml2::XMLDocument</a></li>
<li>_errorLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a7865f254baf1f615c5250aa31bb262d1">tinyxml2::XMLDocument</a></li>
<li>_errorNames&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#af006d806fd8e1f6e74933ee9c062de4a">tinyxml2::XMLDocument</a></li>
<li>_errorStr&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a13a35ff680994da3fc2d2b2e62a33f8d">tinyxml2::XMLDocument</a></li>
<li>_f&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html#a1ec7738aa8621712f7fa706861b81a86">melon::kernel::KernelConstant&lt; T, V &gt;</a></li>
<li>_firstChild&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#aa20c91e4213dc930c5bdf420322ca342">tinyxml2::XMLNode</a></li>
<li>_firstElement&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#abbd7ac45d97ae5eceec12d6c058119f9">tinyxml2::XMLPrinter</a></li>
<li>_flags&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#ae6fabc08e7b24b0d41fa5f2fadbda4ed">tinyxml2::StrPair</a></li>
<li>_fp&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a79d91decf17990f7ce18b592f3fdf44e">tinyxml2::XMLPrinter</a></li>
<li>_gamma&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a8885cc1731e50ae7b5f9bc0bef44748e">melon::kernel::KernelRBF&lt; T, V &gt;</a></li>
<li>_inputScaler&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a8d22eb1e65b7f74b4e84c3c8ea78df51">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#ab71eff604f282686adc536b2692414a6">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ae16e1a18a7c8a6237bba83c43f31ed29">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_isCData&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_text.html#aae1a8b4117e8c8bb107900a0560d5ab5">tinyxml2::XMLText</a></li>
<li>_kernel&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a281daa122ee8cde5ea35d22febfb9830">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#aeeac5223941266357a7711260527808a">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_lastChild&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a099b6560ae44ab9edb8453aaf1a3747b">tinyxml2::XMLNode</a></li>
<li>_lowerBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#a4692dd7c3dab76d4e189060a4bd494ca">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_lowGp&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#ab5fbff291bc45915fb3ad7ea882f0c6b">melon::MulfilGp&lt; T &gt;</a></li>
<li>_maxAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aaf3960c9e30197aeb1c0af271c297db9">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_mean&#160;:&#160;<a class="el" href="classmelon_1_1_standard_scaler.html#a0f535a7405baecfb7a3c3ab41494872d">melon::StandardScaler&lt; T &gt;</a></li>
<li>_mem&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#ac8511e876d55f3ec64277516273434fd">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_memPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#ac0a1130568dd9e985dd7753ae44fcdbf">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a4e3ff179bc312480b6bc3e57014834f7">tinyxml2::XMLNode</a></li>
<li>_modelLoaded&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">melon::MelonModel&lt; T &gt;</a></li>
<li>_modelName&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">melon::ModelParser</a></li>
<li>_modelPath&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">melon::ModelParser</a></li>
<li>_msg&#160;:&#160;<a class="el" href="class_melon_exception.html#a073260a73dcd9a890469a0d16ac0a932">MelonException</a></li>
<li>_nAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#acd5867e06ad91a655f3c9f95ca163e9b">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_name&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a80850208963b536e9254a7fa1d4abe67">tinyxml2::XMLAttribute</a></li>
<li>_next&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a3bbf00f77131a8e83d648d32d090c564">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a27e985496b37dd00eb5b9cf59b9e3fb1">tinyxml2::XMLNode</a></li>
<li>_node&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html#ad4d8db839660ef730adfa2439945c4da">tinyxml2::XMLConstHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html#a65449d71b75d8aeb40a54224c954c138">tinyxml2::XMLHandle</a></li>
<li>_nUntracked&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a5048ad99f7350f7224b13cf85fbff151">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_outputScaler&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a25f7c656e140792b73fccc7058249256">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#a6f2560dacef790d4668cbc27bea19178">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_parameterScaler&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#ac4976122607a44955492fec1ab61f015">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_parent&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a176dd1c4965c21c366de192164aa2c13">tinyxml2::XMLNode</a></li>
<li>_parseCurLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a802c62efacc325f1acb9cfd331b59ea5">tinyxml2::XMLDocument</a></li>
<li>_parseLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a3ccce78440ebad696e6958cb51aead9e">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ab336ed023e15be202ff3b410be01b804">tinyxml2::XMLNode</a></li>
<li>_parserFactory&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">melon::MelonModel&lt; T &gt;</a></li>
<li>_parsingDepth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#adf4da174d246a262137aceb38e37dc77">tinyxml2::XMLDocument</a></li>
<li>_pool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a26ed1f7dab98229d2ed867a07ee427df">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_predictionScaler&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a0c4066fe0ac0bdcb4947d7e8ee0ee0fd">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_prev&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9739eb0fb9a1188266052055e7a6bf6b">tinyxml2::XMLNode</a></li>
<li>_processEntities&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a9f768cb74fb5ccbadeffa436916f0194">tinyxml2::XMLDocument</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a3e27c4b4fe791a96e4e139b5034e190b">tinyxml2::XMLPrinter</a></li>
<li>_restrictedEntityFlag&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a5df242509d42ae1c9128924121ebe093">tinyxml2::XMLPrinter</a></li>
<li>_root&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aff60ad785be00814e442e53fb4462688">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_rootAttribute&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ad067115a9f42b2df1fcdf3e0355f2789">tinyxml2::XMLElement</a></li>
<li>_scaledLowerBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#a40116fba518d7fff221d0ecc364c5631">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_scaledUpperBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#aa1908e8c3d60cf316eedb75869bf6bcb">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_size&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a40f0578cc1912eed17fb29f64daf6ae9">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_stack&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a99d59e67e084714541bee3ae43884bef">tinyxml2::XMLPrinter</a></li>
<li>_start&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#acfd8687916a02833cc55c279460d2f4a">tinyxml2::StrPair</a></li>
<li>_stdDev&#160;:&#160;<a class="el" href="classmelon_1_1_standard_scaler.html#ac34dd7674c62dcb2c33925ffeafd810b">melon::StandardScaler&lt; T &gt;</a></li>
<li>_tanh_formulation&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa29c58f20ab3b344243565940fc0e243">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_textDepth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a3c5a442e57131faefde97188e92144f3">tinyxml2::XMLPrinter</a></li>
<li>_textPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#afe8ac410aaa53cf1f2142a4c2fd958c7">tinyxml2::XMLDocument</a></li>
<li>_unlinked&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a1d2e0f6b8bf0914058c71f2425edac19">tinyxml2::XMLDocument</a></li>
<li>_upperBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#ac2d9d43ded890a37679f876fb9213a35">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_userData&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ac2d5cc463a6c95ec5907d57a119c56da">tinyxml2::XMLNode</a></li>
<li>_value&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#abcf5c9b7f040ed71ed2a66557584b5b0">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a3ea9884098b8379de2bb5ab3fc85c0fc">tinyxml2::XMLNode</a></li>
<li>_whitespaceMode&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#afec08bf4b1c57b487ba3c6855cfe5478">tinyxml2::XMLDocument</a></li>
<li>_writeBOM&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a1dbdc7feaa58007403c20243ac5abbd3">tinyxml2::XMLDocument</a></li>
</ul>


<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>activationFunction&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a105f394f328ec4db9f3b04a42fa620d8">melon::AnnStructure</a></li>
</ul>


<h3><a id="index_b" name="index_b"></a>- b -</h3><ul>
<li>biasConnect&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a53f444127c72cd4974588d8fe5bde250">melon::AnnStructure</a></li>
<li>biasWeight&#160;:&#160;<a class="el" href="structmelon_1_1_ann_weights.html#ae8127c6eb68e821eb3df52150a179539">melon::AnnWeights</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>children&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html#a252d76caee37fdbc77312bb099a04760">melon::kernel::KernelCompositeAdd&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html#aa1451991c1bafd1fbd172f3553b2f06b">melon::kernel::KernelCompositeMultiply&lt; T, V &gt;</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>dualCoefficients&#160;:&#160;<a class="el" href="structmelon_1_1_svm_data.html#a02125fa378b434a59489fe68867a9c54">melon::SvmData</a></li>
<li>DX&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a9747c4e9b1dc647a48ca708254d141f0">melon::GPData</a></li>
<li>DY&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#abc4059f55f790dd99b89f06edc280807">melon::GPData</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>ell&#160;:&#160;<a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html#ad3f01d89c0bfdd53dda0b31f84319dcf">melon::kernel::KernelData</a></li>
</ul>


<h3><a id="index_h" name="index_h"></a>- h -</h3><ul>
<li>highGpData&#160;:&#160;<a class="el" href="structmelon_1_1_mulfil_gp_data.html#a3f490bd678342c6564da610600287c60">melon::MulfilGpData</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>inputConnect&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#aac68a367dad6322936825ea88bcc5a68">melon::AnnStructure</a></li>
<li>inputLowerBound&#160;:&#160;<a class="el" href="structmelon_1_1_ann_normalization_parameters.html#a9cbed7c9cf95196ed059a5fdd41d2a10">melon::AnnNormalizationParameters</a></li>
<li>inputScalerData&#160;:&#160;<a class="el" href="structmelon_1_1_ann_data.html#a62a1f36d606e7de154323abdf16c3743">melon::AnnData</a>, <a class="el" href="structmelon_1_1_g_p_data.html#ab4efbfa86dbc7ca4cbd863a3629c5ad5">melon::GPData</a>, <a class="el" href="structmelon_1_1_svm_data.html#aa59d2ea919c99ce32643810d96be322c">melon::SvmData</a></li>
<li>inputSize&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a1e7a81af797e4f9aa27e70f47c8735e8">melon::AnnStructure</a></li>
<li>inputUpperBound&#160;:&#160;<a class="el" href="structmelon_1_1_ann_normalization_parameters.html#ab68e5a77ffed12abe0d592651fcaf098">melon::AnnNormalizationParameters</a></li>
<li>inputWeight&#160;:&#160;<a class="el" href="structmelon_1_1_ann_weights.html#a97fb1295c33adb2ebff5e5f6f8625fbe">melon::AnnWeights</a></li>
<li>invK&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a4bf3b1c58e1c2d09ab695d564db4bd89">melon::GPData</a></li>
<li>itemData&#160;:&#160;<a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html#aff63ccc8d7b05035820b83e1f0fa8037">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Item</a></li>
<li>items&#160;:&#160;<a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html#a4f2589e877b60f26313e107433e550f7">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Block</a></li>
</ul>


<h3><a id="index_k" name="index_k"></a>- k -</h3><ul>
<li>K&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#af5a6789b5fc9709e3da7ff6a3ab8d417">melon::GPData</a></li>
<li>kernelData&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#abf55d00a79969bcb9ddcb74575b6a5ab">melon::GPData</a></li>
<li>kernelFunction&#160;:&#160;<a class="el" href="structmelon_1_1_svm_data.html#a63b5cf742541499e1f7cb0a3bae170bd">melon::SvmData</a></li>
<li>kernelParameters&#160;:&#160;<a class="el" href="structmelon_1_1_svm_data.html#a4584851c196fdb3a1f53ea734cb24ca7">melon::SvmData</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>LAYER_INDICATOR_BASE&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a13f2f35cccf15eebd7f43051e3dd580b">melon::AnnParserCsv</a></li>
<li>layerConnect&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#ac38f895d9a1732edfbb473613b20b504">melon::AnnStructure</a></li>
<li>layerSize&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a884e5315a0f182176426a8be18436715">melon::AnnStructure</a></li>
<li>layerWeight&#160;:&#160;<a class="el" href="structmelon_1_1_ann_weights.html#a2ffeb2ea0bfb3934f77480aba2e356bd">melon::AnnWeights</a></li>
<li>length&#160;:&#160;<a class="el" href="structtinyxml2_1_1_entity.html#a25e2b57cb59cb4fa68f283d7cb570f21">tinyxml2::Entity</a></li>
<li>lowGpData&#160;:&#160;<a class="el" href="structmelon_1_1_mulfil_gp_data.html#a77b8efbe6456bafc29cb3a62305480c4">melon::MulfilGpData</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>matern&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a38be65d3ef7888bde2f9c2aaa26a296d">melon::GPData</a></li>
<li>meanfunction&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a190192bb9474c24510e8b34e3fae0763">melon::GPData</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>next&#160;:&#160;<a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html#a5620107f518c60d6619e8662d4c9d643">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;::Item</a></li>
<li>normalizedOutput&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a9506ef28c29e149fe0283ad7311fa275">melon::AnnStructure</a></li>
<li>numLayers&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#a6a3a954be4652ddccc8790fca4830a3b">melon::AnnStructure</a></li>
<li>nX&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#af94460988623f8f8f5debb885629ed58">melon::GPData</a></li>
</ul>


<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>outputDenormalizationFactor&#160;:&#160;<a class="el" href="structmelon_1_1_ann_normalization_parameters.html#a858157c7ba40e5d6c1e325ad5d719a3a">melon::AnnNormalizationParameters</a></li>
<li>outputDenormalizationOffset&#160;:&#160;<a class="el" href="structmelon_1_1_ann_normalization_parameters.html#a2e30539514daa68b2b23dad410a32010">melon::AnnNormalizationParameters</a></li>
<li>outputScalerData&#160;:&#160;<a class="el" href="structmelon_1_1_ann_data.html#a7771dffb6c28714792c03d9d662240a8">melon::AnnData</a>, <a class="el" href="structmelon_1_1_svm_data.html#abd271036f149a4d666c6a52c5798bd22">melon::SvmData</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>parameters&#160;:&#160;<a class="el" href="structmelon_1_1_scaler_data.html#a21b3752024d615cad4135270bac8d4f8">melon::ScalerData</a></li>
<li>pattern&#160;:&#160;<a class="el" href="structtinyxml2_1_1_entity.html#ab330f5d665d29bfc811ecfa76315894b">tinyxml2::Entity</a></li>
<li>predictionScalerData&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a0016bdf5ba5ce879a011eea2f15e6149">melon::GPData</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>rho&#160;:&#160;<a class="el" href="structmelon_1_1_mulfil_gp_data.html#aa432863b3c01d6e2fd3f4fdb2b53da20">melon::MulfilGpData</a>, <a class="el" href="structmelon_1_1_svm_data.html#a91b7f46819897d76e7b3d69352f8bcad">melon::SvmData</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>scaledInput&#160;:&#160;<a class="el" href="structmelon_1_1_ann_structure.html#aa74231a71fc4e0d1380b441ece0b527c">melon::AnnStructure</a></li>
<li>sf2&#160;:&#160;<a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html#a17fc12e78f39a1e93d89f241083ebab1">melon::kernel::KernelData</a></li>
<li>stdOfOutput&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a545f45a74992594c1abab224da943152">melon::GPData</a></li>
<li>structure&#160;:&#160;<a class="el" href="structmelon_1_1_ann_data.html#a4853bc5a22fda4f8e831cc31a1b5a45e">melon::AnnData</a></li>
<li>supportVectors&#160;:&#160;<a class="el" href="structmelon_1_1_svm_data.html#a8701eee707298b7fe840bea845e8912e">melon::SvmData</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>type&#160;:&#160;<a class="el" href="structmelon_1_1_scaler_data.html#ac620f2a8c41a84eb20dbd85c689cddb4">melon::ScalerData</a></li>
</ul>


<h3><a id="index_v" name="index_v"></a>- v -</h3><ul>
<li>value&#160;:&#160;<a class="el" href="structtinyxml2_1_1_entity.html#a7334e81e33b4615655a403711b24f3ed">tinyxml2::Entity</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>weights&#160;:&#160;<a class="el" href="structmelon_1_1_ann_data.html#abac66b3fe2754c2e89c45ec199e3d18b">melon::AnnData</a></li>
<li>writeBoolFalse&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#ae09aaf302e2ab8c196e14643ef98e3a3">tinyxml2::XMLUtil</a></li>
<li>writeBoolTrue&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_util.html#aafa8c6e965f8f95d5bcd9e7646983470">tinyxml2::XMLUtil</a></li>
</ul>


<h3><a id="index_x" name="index_x"></a>- x -</h3><ul>
<li>X&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#a9bf51f6c5f0c65ba06eeba3c16e18796">melon::GPData</a></li>
</ul>


<h3><a id="index_y" name="index_y"></a>- y -</h3><ul>
<li>Y&#160;:&#160;<a class="el" href="structmelon_1_1_g_p_data.html#ac2ca3a861eef23a4aab4d64009bc6aec">melon::GPData</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
